<template>
  <hyper-link class="btn font-medium tracking-wide uppercase" v-bind="$props">
    <slot />
  </hyper-link>
</template>

<script>
export default {
  name: 'ButtonLink',
  props: {
    to: { type: String, required: true },
  },
};
</script>

<style lang="postcss" scoped>
.btn {
  @apply inline-block px-4 py-2 border-2 shadow-md;
  border-color: var(--btn-fg-color);
  background-color: var(--btn-bg-color);
  color: var(--btn-fg-color);
}
.btn:hover {
  @apply shadow-lg cursor-pointer;
  border-color: var(--btn-fg-color);
  background-color: var(--btn-fg-color);
  color: var(--btn-bg-color);
}
.btn-base {
  --btn-fg-color: var(--g-base-text-color);
  --btn-bg-color: var(--g-base-bg-color);
}
.btn-navbar {
  --btn-fg-color: var(--navbar-text-color);
  --btn-bg-color: var(--navbar-bg-color);
}
.btn-cta {
  --btn-fg-color: var(--cta-text-color);
  --btn-bg-color: var(--cta-bg-color);
}
</style>
